Toad World® Forums

Mac Mojave launch error


#1

Toad Edge for Mac 2.0.3


#2

Hi, could you try to update or install MacOS Java system library?
thanks
br.
Miroslav Stanik


#3
➜ java --version
java 11 2018-09-25
Java(TM) SE Runtime Environment 18.9 (build 11+28)
Java HotSpot(TM) 64-Bit Server VM 18.9 (build 11+28, mixed mode)

Still getting error.


#4

Hi, we have tried to reproduce your issue, we cannot reproduce it.
Could you please try to uninstall the application and then install it again?
We will try to investigate it more and let you know.
Could you please send us file Toad.ini located here: /Applications/Toad/Contents/MacOS
thanks
br.
Miroslav Stanik


#5

I only found an ini in eclipse subdirectory

➜ sudo cat /Applications/Toad\ Edge.app/Contents/eclipse/ToadEdge.ini
-startup
../eclipse/plugins/org.eclipse.equinox.launcher_1.4.0.v20161219-1356.jar
--launcher.library
../eclipse/plugins/org.eclipse.equinox.launcher.cocoa.macosx.x86_64_1.1.551.v20171108-1834
-vm
../lib/jre/lib/jli/libjli.dylib
--launcher.defaultAction
openFile
-name
Toad Edge
-showsplash
-vmargs
-Dfile.encoding=UTF-8
-Dcom.quest.toad.jdbc.mysql=../lib/drivers/mysql-jdbc.jar
-Dcom.quest.toad.jdbc.postgres=../lib/drivers/postgresql-jdbc.jar
-Dcom.quest.toad.jdbc.edb=../lib/drivers/edb-jdbc.jar
-Dlog4j.configuration=file:../eclipse/configuration/log4j.xml
-XstartOnFirstThread
-Dorg.eclipse.swt.internal.carbon.smallFonts